Get organization list

Prev Next

Available in VPC

Get the list of organizations that manage MSPs in a blockchain network.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /api/v1/networks/{networkId}/organizations (Korea Region)
GET /api/sgn-v1/networks/{networkId}/organizations (Singapore Region)

Request headers

For information about the headers common to all Blockchain Service APIs, see Blockchain Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
networkId Long Required Network ID

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
page Integer Optional Page number
  • 0 (default)
size Integer Optional Size of list viewed
  • 20 (default)

Request example

The following is a sample request.

curl --location --request GET 'https://blockchainservice.apigw.ntruss.com/api/v1/networks/{networkId}/organizations?page=0&size=20' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content Array - Content details: content
totalElements Long - Total number of organizations
totalPages Integer - Total number of pages

content

The following describes content.

Field Type Required Description
mspId String - MSP ID
mspName String - MSP name
importYn Boolean - MSP import status
  • Y | N (default)
    • Y: MSP imported from another network
    • N: MSP in the current network
exportNetworkId Long - Network ID imported from another network
  • It is displayed when importYn is Y
networkId Long - Network ID

Response status codes

For information about the HTTP status codes common to all Blockchain Service APIs, see Blockchain Service response status codes.

Response example

The following is a sample example.

{
    "content": [
        {
            "mspId": "orderer-msp1",
            "mspName": "orderer-msp1",
            "importYn": "Y",
            "exportNetworkId": 1633,
            "networkId": 1634
        },
        {
            "mspId": "orderer2-msp2",
            "mspName": "orderer2-msp2",
            "importYn": "N",
            "networkId": 1634
        },
        {
            "mspId": "peer2-msp2",
            "mspName": "peer2-msp2",
            "importYn": "N",
            "networkId": 1634
        }
    ],
    "totalElements": 3,
    "totalPages": 1
}